Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005551 [JEDI VCL] 00 JVCL Components major always 2011-04-15 10:44 2011-09-21 14:10
Reporter sender View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005551: JvDBImage failed to show GIF image
Description JvDBImage failed with excetion EInvalidGraphic 'Bitmap image is not valid' to show GIF image.

I have added JvGIF to the uses list of the project file. And TImage can show GIF image perfectly. Therefore this should be a bug of JvDBImage.

Additional Information
Tags No tags attached.
Attached Files zip file icon jvgiftest.zip [^] (41,438 bytes) 2011-06-08 17:19

- Relationships

-  Notes
(0018623)
obones (administrator)
2011-06-07 17:53

Please provide the zipped sources of a sample application showing this
(0018699)
sender (reporter)
2011-06-08 17:27

Please check the attached file jvgiftest.zip for the sample application.

I'am using Delphi 7. This application uses ADO to connect to a MSACCESS mdb file. You can open the mdb file to check the table structure. It's very simple. I have stored 3 pic files into the mdb file: first row is a jpeg file, second row is a bmp file and the third row is a gif file. When you run this app, you can click "open" button to open the mdb file and navigate through the rows. The jpeg and bmp file can be shown in the jvdbimage control. But if you navigate to the row which contains the gif file, an error message "Bitmap image is not valid" will be shown and there is no display in the jvdbimage control.
(0018725)
obones (administrator)
2011-06-10 16:13

Seeing this as well
(0018726)
obones (administrator)
2011-06-10 16:22

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-04-15 10:44 sender New Issue
2011-06-07 17:53 obones Note Added: 0018623
2011-06-07 17:53 obones Status new => feedback
2011-06-08 17:19 sender File Added: jvgiftest.zip
2011-06-08 17:27 sender Note Added: 0018699
2011-06-08 17:41 obones Status feedback => acknowledged
2011-06-10 16:13 obones Note Added: 0018725
2011-06-10 16:13 obones Status acknowledged => confirmed
2011-06-10 16:22 obones Note Added: 0018726
2011-06-10 16:22 obones Status confirmed => resolved
2011-06-10 16:22 obones Fixed in Version => Daily / SVN
2011-06-10 16:22 obones Resolution open => fixed
2011-06-10 16:22 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker